%define debug_package %{nil}

Name:		gnome-do-plugins
Version:	0.8.5
Release:	%mkrel 10
Summary:	Creating and managing the plugins that put the 'Do' in 'GNOME Do'
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		http://do.davebsd.com/
Source0:	http://launchpad.net/do-plugins/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch2:		gnome-do-plugins-0.8.4-variable.patch
Patch3:		gnome-do-plugins-0.8.5-transmission.patch
BuildRequires:	intltool >= 0.35.0 
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(banshee-collection-indexer) >= 2.1
BuildRequires:	pkgconfig(dbus-sharp-1.0)
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0)
BuildRequires:	pkgconfig(do.platform) >= 0.10
BuildRequires:	pkgconfig(do.platform.linux) >= 0.8
BuildRequires:	pkgconfig(do.universe) >= 0.8
BuildRequires:	pkgconfig(flickrnet)
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(gdata-sharp-acl)
BuildRequires:	pkgconfig(gdata-sharp-calendar)
BuildRequires:	pkgconfig(gdata-sharp-contacts)
BuildRequires:	pkgconfig(gdata-sharp-core)
BuildRequires:	pkgconfig(gdata-sharp-documents)
BuildRequires:	pkgconfig(gdata-sharp-youtube)
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(glib-sharp-2.0)
BuildRequires:	pkgconfig(gnome-desktop-sharp-2.0)
BuildRequires:	pkgconfig(gnome-keyring-sharp-1.0)
BuildRequires:	pkgconfig(gnome-sharp-2.0)
BuildRequires:	pkgconfig(gnome-vfs-sharp-2.0)
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(mono-addins)
BuildRequires:	pkgconfig(mono-addins-gui)
BuildRequires:	pkgconfig(mono-addins-setup)
BuildRequires:	pkgconfig(ndesk-dbus-1.0)
BuildRequires:	pkgconfig(ndesk-dbus-glib-1.0)
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	pkgconfig(wnck-sharp-1.0)

%description
Creating and managing the plugins that put the 'Do' in 'GNOME Do'.

%prep
%setup -q
%autopatch -p1

# fix build with mono4
sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" m4/shamrock/mono.m4

%build
autoreconf -vfi -Im4/shamrock
%configure2_5x --enable-flickr=no --enable-transmission=no
%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%dir %{_libdir}/gnome-do/plugins
%{_libdir}/gnome-do/plugins/*


%changelog
* Mon Jul 18 2016 neoclust <neoclust> 0.8.5-10.mga6
+ Revision: 1042511
- Rebuild for armv7

* Mon Apr 11 2016 daviddavid <daviddavid> 0.8.5-9.mga6
+ Revision: 1000436
- fix build with mono4 >= 4.2.3
- fix owner of plugins dir

* Fri Feb 19 2016 umeabot <umeabot> 0.8.5-8.mga6
+ Revision: 969770
- Mageia 6 Mass Rebuild

  + fwang <fwang>
    - rebuild for new gnome-do
    - rebuild for new gnome-do

* Wed Sep 09 2015 neoclust <neoclust> 0.8.5-5.mga6
+ Revision: 875128
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.5-4.mga5
+ Revision: 750802
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.5-3.mga5
+ Revision: 726079
- rebuild for latest mono

* Tue Sep 16 2014 umeabot <umeabot> 0.8.5-2.mga5
+ Revision: 679718
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 fwang <fwang> 0.8.5-1.mga5
+ Revision: 656276
- fix transmission condition
- disable transmission
- disable flickr requires
- 0.8.5
- rebuild for new flickrnet

* Wed Jan 08 2014 pterjan <pterjan> 0.8.4-13.mga4
+ Revision: 565609
- Rebuild for old banshee

* Mon Oct 21 2013 umeabot <umeabot> 0.8.4-12.mga4
+ Revision: 540557
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 tv <tv> 0.8.4-11.mga4
+ Revision: 511590
- rebuild for libgoogle-data-mono, hopefully making it installable again

* Wed Oct 09 2013 fwang <fwang> 0.8.4-10.mga4
+ Revision: 493894
- rebuild for new banshee

* Sun Jul 28 2013 fwang <fwang> 0.8.4-9.mga4
+ Revision: 459648
- fix varaible init
- more linkage fix
- fix linkage

* Sat Jan 12 2013 fwang <fwang> 0.8.4-8.mga3
+ Revision: 358539
- rebuild for new google-data

* Sat Jan 12 2013 umeabot <umeabot> 0.8.4-7.mga3
+ Revision: 352110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 fwang <fwang> 0.8.4-6.mga3
+ Revision: 300708
- rebuild for new banshee

* Sat Sep 01 2012 fwang <fwang> 0.8.4-5.mga3
+ Revision: 286861
- rebuild for new banshee

* Fri Jun 08 2012 fwang <fwang> 0.8.4-4.mga3
+ Revision: 257501
- specify includedir
- use gnome-autogen
- prefer gmcs for gnome-do 0.9

* Tue May 29 2012 fwang <fwang> 0.8.4-3.mga3
+ Revision: 248925
- rebuild for new banshee

* Mon Apr 23 2012 fwang <fwang> 0.8.4-2.mga2
+ Revision: 232955
- don't know why disable gcal plugin

* Mon Apr 23 2012 fwang <fwang> 0.8.4-1.mga2
+ Revision: 232944
- update br
- updat ebr
- new version 0.8.4

  + ennael <ennael>
    - clean spec file
    - imported package gnome-do-plugins


* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 0.8.2.1-2mdv2011.0
+ Revision: 575524
- disable gcal as it does not newer mono-gdata

* Sat Dec 26 2009 Funda Wang <fwang@mandriva.org> 0.8.2.1-1mdv2010.1
+ Revision: 482479
- disable evolution as it does not interact with new version of evo
- new version 0.8.2.1

* Fri Nov 20 2009 Funda Wang <fwang@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 467581
- shoud be arch independent

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 463044
- New version 0.8.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 0.8.1.1-1mdv2009.1
+ Revision: 355810
- import gnome-do-plugins


